gtk-0.12.0: Binding to the Gtk+ graphical user interface library.

Portability | portable (depends on GHC)
Stability | provisional
Maintainer | gtk2hs-users@lists.sourceforge.net

Graphics.UI.Gtk.ActionMenuToolbar.RecentAction

Contents

- Detail
- Class Hierarchy
- Types
- Constructors
- Attributes

Description

An action of which represents a list of recently used files

- Module available since Gtk+ version 2.12

Synopsis

- data RecentAction
- class ActionClass o => RecentActionClass o
- castToRecentAction :: GObjectClass obj => obj -> RecentAction
- toRecentAction :: RecentActionClass o => o -> RecentAction
- recentActionNew :: String -> Maybe String -> Maybe String -> Maybe String -> IO RecentAction
- recentActionNewForManager :: RecentManagerClass manager => String -> Maybe String -> Maybe String -> Maybe String -> Maybe manager -> IO RecentAction
- recentActionShowNumbers :: RecentActionClass self => Attr self Bool

# Detail

A `RecentAction` represents a list of recently used files, which can be shown by widgets such as `RecentChooserDialog` or `RecentChooserMenu`.

To construct a submenu showing recently used files, use a `RecentAction` as the action for a <menuitem>. To construct a menu toolbutton showing the recently used files in the popup menu, use a `RecentAction` as the action for a <toolitem> element.

# Class Hierarchy

     | GObject
     | +----Action
     | +----RecentAction

# Types

data RecentAction

Instances

Eq RecentAction |
Ord RecentAction |
GObjectClass RecentAction |
RecentActionClass RecentAction |
ActionClass RecentAction |

class ActionClass o => RecentActionClass o

Instances

RecentActionClass RecentAction |

castToRecentAction :: GObjectClass obj => obj -> RecentAction

toRecentAction :: RecentActionClass o => o -> RecentAction

# Constructors

recentActionNew

Arguments

:: String | `name` - a unique name for the action
-> Maybe String | `label` - the label displayed in menu items and on buttons, or `Nothing`
-> Maybe String | `tooltip` - a tooltip for the action, or `Nothing`
-> Maybe String | `stockId` - the stock icon to display in widgets representing the action, or `Nothing`
-> IO RecentAction |

Creates a new `RecentAction` object. To add the action to a `ActionGroup` and set the accelerator for the action, call `actionGroupAddActionWithAccel`.

recentActionNewForManager

Arguments

:: RecentManagerClass manager |
=> String | `name` - a unique name for the action
-> Maybe String | `label` - the label displayed in menu items and on buttons, or `Nothing`
-> Maybe String | `tooltip` - a tooltip for the action, or `Nothing`
-> Maybe String | `stockId` - the stock icon to display in widgets representing the action, or `Nothing`
-> Maybe manager | `manager` - a `RecentManager`, or `Nothing` for the default `RecentManager`
-> IO RecentAction |

Creates a new `RecentAction` object. To add the action to a `ActionGroup` and set the accelerator for the action, call `actionGroupAddActionWithAccel`.

# Attributes

recentActionShowNumbers :: RecentActionClass self => Attr self Bool

If recent items should be shown with numbers next to them.